/*
 *  init.h - ipfm initialization functions
 *
 *  Copyright (C) 1999 Andres Krapf <dae@via.ecp.fr>
 *
 */

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef INIT_H
#define INIT_H

struct OptionsType {
  char *ConfigFile;
  char *PidFile;
};

void ParseCmdLine(int argc, char *argv[]);
void InitOnce();
void ReInit();
void Init();
void Clean();
void Exit(int);
void SigHupHandler(int);
void SigTermHandler(int);
void SigIntHandler(int);
void SigChldHandler(int);
void SigUsr1Handler(int);
void TestLogs();

void configure();

#endif
